complexType "NotificationMessage"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 6 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 15 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?
</...>

Content Model Elements (6):

  correlationId, header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, sequenceNumber (defined in Sequence.model group), validation

Known Direct Subtypes (15):

  CancelTradeCashflows, CollateralAllocationReport, DisputeNotification, EventActivityReport, ExposureReport, InterestStatement, PartyReport, PositionActivityReport, PositionReport, ResetReport, ServiceNotification, TerminatingEventsReport, TradeCashflowsAsserted, ValuationReport, ValuationReportRetracted

All Direct / Indirect Based Elements (15):

  cancelTradeCashflows, collateralAllocationReport, disputeNotification, eventActivityReport, exposureReport, interestStatement, partyReport, positionActivityReport, positionReport, resetReport, serviceNotification, terminatingEventsReport, tradeCashflowsAsserted, valuationReport, valuationReportRetracted

Known Usage Locations

- In derivations of other global types (15):

  CancelTradeCashflows (as extension base), CollateralAllocationReport (as extension base), DisputeNotification (as extension base), EventActivityReport (as extension base), ExposureReport (as extension base), InterestStatement (as extension base), PartyReport (as extension base), PositionActivityReport (as extension base), | PositionReport (as extension base), ResetReport (as extension base), ServiceNotification (as extension base), TerminatingEventsReport (as extension base), TradeCashflowsAsserted (as extension base), ValuationReport (as extension base), ValuationReportRetracted (as extension base)

Annotation
A type defining the basic content for a message sent to inform another system that some 'business event' has occured. Notifications are not expected to be replied to.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType abstract="true" name="NotificationMessage"> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="NotificationMessageHeader"/> <xsd:group ref="Validation.model"/> <xsd:group minOccurs="0" ref="CorrelationAndOptionalSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/6)
header

  Type: | NotificationMessageHeader, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="header" type="NotificationMessageHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.